########################################################################
#   Sample macros
#   Use these as models to create others, such as print_word_reg,
#   read_word_reg, etc.
#########################################################################

    .EQU	CR,		0x0D	# \r carriage return 
    .EQU	LF,		0x0A	# \n newline 
    .EQU	DEL,		0x7F	
    .EQU	HTAB,		0x09 	# \t horizontal tab 
    .EQU	VTAB,		0x0B 	# \v vertical tab 
    .EQU	SPACE,		0x20	# space
    .EQU	BACKSPACE,	0x08	# \b backspace 
    
    .EQU	TRMT,		0x100	# 8 bit	
    .EQU	UTXBF,		0x200	# 9 bit	
    .EQU	URXDA,		0x001	# 0 Bit
    .EQU	OERR,		0x002	# 1 Bit

    .EQU	HEAP_SIZE,	1024	# 1 Bit    
    .EQU	STACK_SIZE,	 512	# 1 Bit	
    .EQU	BUFFER_SIZE,	 512 	# 1 Bit

    .EQU	WORD_NEXT, 	   0	# Следующее слово
    .EQU	WORD_CODE,	   4 	# Адрес исполнимого кода
    .EQU	WORD_LENGTH,	   8	# Длина форт-слова
    .EQU	WORD_NAME,	  12	# Имя слова

    .EQU	ECHO,	     0x0001	# Echo
    