    // DEVCFG0
    
    .section .config_BFC00BFC, code
    .word   0x7fffffEB

    // JTAGEN = OFF             // JTAG Enable (JTAG Disabled)
    // ICESEL = ICS_PGx3        // ICE/ICD Comm Channel Select (Communicate on PGEC3/PGED3)
    // PWP = OFF                // Program Flash Write Protect (Disable)
    // BWP = OFF                // Boot Flash Write Protect bit (Protection Disabled)
    // CP = OFF                 // Code Protect (Protection Disabled)

    // DEVCFG1

    .section .config_1FC00BF8, code
    .word   0xFF7FDDD9
    
    // FNOSC = FRCPLL           // Oscillator Selection Bits (Fast RC Osc with PLL)
    // FSOSCEN = OFF            // Secondary Oscillator Enable (Disabled)
    // IESO = ON                // Internal/External Switch Over (Enabled)
    // POSCMOD = XT             // Primary Oscillator Configuration (XT osc mode)
    // OSCIOFNC = OFF           // CLKO Output Signal Active on the OSCO Pin (Disabled)
    // FPBDIV = DIV_2           // Peripheral Clock Divisor (Pb_Clk is Sys_Clk/2)
    // FCKSM = CSDCMD           // Clock Switching and Monitor Selection (Clock Switch Disable, FSCM Disabled)
    // WDTPS = PS1048576        // Watchdog Timer Postscaler (1:1048576)
    // WINDIS = OFF             // Watchdog Timer Window Enable (Watchdog Timer is in Non-Window Mode)
    // FWDTEN = OFF             // Watchdog Timer Enable (WDT Disabled (SWDTEN Bit Controls))
    // FWDTWINSZ = WINSZ_25     // Watchdog Timer Window Size (Window Size is 25%)

    // DEVCFG2

    .section .config_1FC00BF4, code
    .word   0xFFF979D9
    
    // FPLLIDIV = DIV_2         // PLL Input Divider (2x Divider)
    // FPLLMUL = MUL_20         // PLL Multiplier (20x Multiplier)
    // UPLLIDIV = DIV_2         // USB PLL Input Divider (2x Divider)
    // UPLLEN = ON              // USB PLL Enable (Enabled)
    // FPLLODIV = DIV_2         // System PLL Output Clock Divider (PLL Divide by 2)
    
    